Warning: strftime(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected the timezone 'UTC' for now, but please set date.timezone to select your timezone. in /usr/share/php/PhpDocumentor/phpDocumentor/Smarty-2.6.0/libs/Smarty_Compiler.class.php on line 370

## AwlCache

Description

A simple Memcached wrapper supporting namespacing of stored values.

- author: Andrew McMillan
- license: LGPL

Located in /AwlCache.php (line 10)

Method Summary
AwlCache __construct ()
void acquireLock ( $something, [ $wait_for = 5])
void delete ($namespace $namespace, $key $key)
void flush ()
void get ($namespace $namespace, $key $key)
void isActive ()
void releaseLock ( $something)
void set ($namespace $namespace, $key $key, $value $value, [$expiry $expiry = 864000])
Methods
Strict Standards: Only variables should be passed by reference in /usr/share/php/PhpDocumentor/phpDocumentor/Smarty-2.6.0/libs/Smarty_Compiler.class.php on line 712 Warning: strftime(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected the timezone 'UTC' for now, but please set date.timezone to select your timezone. in /usr/share/php/PhpDocumentor/phpDocumentor/Smarty-2.6.0/libs/Smarty_Compiler.class.php on line 370
Constructor __construct (line 18)

Initialise the cache connection. We use getpid() to give us a persistent connection.

AwlCache __construct ()
acquireLock (line 147)

Acquire a lock on something

void acquireLock ( $something, [ $wait_for = 5])

- $something
- $wait_for

delete (line 116)

Delete a value from a namespace/key, or for everything in a namespace if a 'null' key is supplied.

void delete ($namespace $namespace, $key $key)

- $namespace $namespace
- $key $key

flush (line 137)

Flush the entire cache

void flush ()
get (line 66)

get a value from the specified namespace / key

void get ($namespace $namespace, $key $key)

- $namespace $namespace
- $key $key

isActive (line 48)

So we can find out if we are actually using the cache.

void isActive ()
releaseLock (line 160)

Release a lock

void releaseLock ( $something)

- $something

set (line 82)

Set a value for the specified namespace/key, perhaps with an expiry (default 10 days)

void set ($namespace $namespace, $key $key, $value $value, [$expiry $expiry = 864000])

- $namespace $namespace
- $key $key
- $value $value
- $expiry $expiry

Documentation generated on Wed, 04 Jul 2012 07:06:11 +0000 by phpDocumentor 1.4.3